package com.sf.di.mapper.impl;


import com.sf.di.mapper.TeacherMapper;

/**
 * @author WanJl
 * @version 1.0
 * @title TeacherMapperImpl
 * @description
 * @create 2025/11/30
 */
public class TeacherMapperImpl implements TeacherMapper {
    private int num;

    /*
     * 采用setter方法注入---简单类型、基本数据类型
     * @param num
     */
    public void setNum(int num) {
        this.num = num;
    }
    @Override
    public void mapperPrint() {
        System.out.println("teacher mapper print"+num);
    }
}
